package com.tofly.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.entity.Demo;
import com.tofly.service.DemoService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Administrator
 * @date 2019/9/24  14:50
 */
@Slf4j
@RestController
@RequestMapping("/demo")
@AllArgsConstructor
public class DemoController {

    @Autowired
    private DemoService demoService;

    @RequestMapping("/add")
    public ResultRespone add(@RequestParam  String name, @RequestParam String mark){
        log.info("name:{},mark:{}",name,mark);
        //List<Demo> list = new ArrayList();
        Demo demo=new Demo();
        demo.setName(name);
        demo.setMark(mark);
        //list.add(demo);
        //demoService.insertDemo(demo);自定义方法

        demoService.save(demo);
        return ResultRespone.success(demoService.list());
    }
}
