package com.tofly.base.api.feign.factory;

import com.tofly.base.api.feign.BaseTokenService;
import com.tofly.base.api.feign.fallback.BaseTokenServiceFallbackImpl;
import feign.hystrix.FallbackFactory;

/**
 * @author Administrator
 * @date 2019/9/12  11:47
 */
public class BaseTokenServiceFallbackFactory implements FallbackFactory<BaseTokenService> {
    @Override
    public BaseTokenService create(Throwable throwable) {
        BaseTokenServiceFallbackImpl baseTokenServiceFallback = new BaseTokenServiceFallbackImpl();
        baseTokenServiceFallback.setCause(throwable);
        return baseTokenServiceFallback;
    }
}
