package com.tofly.common.log.annotation;

import java.lang.annotation.*;

/**
 * @author Administrator
 * @date 2019/8/30  16:53
 */

@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {
    /**
     * 模块
     */
    public String title() default "";

    /**
     * 功能
     */
    public String businessType() default "";

    /**
     * 操作人类别
     */
    public String operatorType() default "";

    /**
     * 是否保存请求的参数
     */
    public boolean isSaveRequestData() default true;
}
